/*
 *  Eindhoven University of Technology
 *  Eindhoven, The Netherlands
 *
 *  Name            :   sadf_markovchain_state.h
 *
 *  Author          :   Bart Theelen (B.D.Theelen@tue.nl)
 *
 *  Date            :   29 August 2006
 *
 *  Function        :   SADF Markov Chain State
 *
 *  History         :
 *      29-08-06    :   Initial version.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 * 
 * In other words, you are welcome to use, share and improve this program.
 * You are forbidden to forbid anyone else to use, share and improve
 * what you give them.   Happy coding!
 */

#ifndef SADF_MARKOVCHAIN_STATE_H_INCLUDED
#define SADF_MARKOVCHAIN_STATE_H_INCLUDED

// Include type definitions

#include "sadf_component.h"

// Forward definitions

class SADF_Scenario;

// SADF_MarkovChain_State Definition

class SADF_MarkovChain_State : public SADF_Component {

public:
	// Constructors
	
	SADF_MarkovChain_State(const CString &N, const CId ID, SADF_Scenario* S);
	
	// Destructor
	
	~SADF_MarkovChain_State() { };

	// Access to instance variables
	
	SADF_Scenario* getSubScenario() { return SubScenario; };

private:
	// Instance Variables

	SADF_Scenario* SubScenario;
};

#endif
